NXP NFC Reader Library v4.040.05.011646

Data Fields
phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS Struct Reference

Structure holding information on Type A P2P activation/communication. More...

## Data Fields
uint8_t | bDid
| Device ID (DID) for ISO/IEC 18092 Initiator ATR command. More...
uint8_t | bLri
| Length reduction for ISO/IEC 18092 initiator. More...
uint8_t | bNadEnable
| Indicates whether Node Address (NAD) is enabled or not. More...
uint8_t | bNad
| Node address. More...
uint8_t * | pGi
| General bytes information. More...
uint8_t | bGiLength
| Length of the general bytes. More...
uint8_t * | pAtrRes
| Attribute response; uint8_t[64]. More...
uint8_t | bAtrResLength
| Length of the ATR response. More...

## Detailed Description

Structure holding information on Type A P2P activation/communication.

## Field Documentation

## § bDid

uint8_t phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS::bDid

Device ID (DID) for ISO/IEC 18092 Initiator ATR command.

## § bLri

uint8_t phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS::bLri

Length reduction for ISO/IEC 18092 initiator.

## § bNadEnable

uint8_t phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS::bNadEnable

Indicates whether Node Address (NAD) is enabled or not.

## § bNad

uint8_t phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS::bNad

Node address.

Ignored if bNadEnabled is zero.

## § pGi

uint8_t* phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS::pGi

General bytes information.

User should populate with appropriate address if bGiLength in non zero.

## § bGiLength

uint8_t phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS::bGiLength

Length of the general bytes.

Should be zero if general bytes are not used.

## § pAtrRes

uint8_t* phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS::pAtrRes

Attribute response; uint8_t[64].

## § bAtrResLength

uint8_t phacDiscLoop_Sw_TypeA_Info::phacDiscLoop_Type_P2P_TAGS::bAtrResLength

Length of the ATR response.

The documentation for this struct was generated from the following file:

- phacDiscLoop.h